db_backend_mysql.h File Reference
`#include "db_backend.h"`

Go to the source code of this file.

## Macros

#define | DB_BACKEND_MYSQL_DEFAULT_TIMEOUT 30
#define | DB_BACKEND_MYSQL_STRING_MIN_SIZE 64
#define | DB_BACKEND_MYSQL_STRING_MAX_SIZE 4096

## Functions

db_backend_handle_t * | db_backend_mysql_new_handle (void)

## Macro Definition Documentation

## DB_BACKEND_MYSQL_DEFAULT_TIMEOUT

#define DB_BACKEND_MYSQL_DEFAULT_TIMEOUT 30

Definition at line 35 of file db_backend_mysql.h.

## DB_BACKEND_MYSQL_STRING_MAX_SIZE

#define DB_BACKEND_MYSQL_STRING_MAX_SIZE 4096

Definition at line 37 of file db_backend_mysql.h.

## DB_BACKEND_MYSQL_STRING_MIN_SIZE

#define DB_BACKEND_MYSQL_STRING_MIN_SIZE 64

Definition at line 36 of file db_backend_mysql.h.

## Function Documentation

## db_backend_mysql_new_handle()

db_backend_handle_t * db_backend_mysql_new_handle | ( | void |  | ) |

extern

Create a new database backend handle for SQLite.

Returns
  a db_backend_handle_t pointer or NULL on error.

Definition at line 2244 of file db_backend_mysql.c.

References db_backend_handle_free(), db_backend_handle_new(), db_backend_handle_set_connect(), db_backend_handle_set_count(), db_backend_handle_set_create(), db_backend_handle_set_data(), db_backend_handle_set_delete(), db_backend_handle_set_disconnect(), db_backend_handle_set_free(), db_backend_handle_set_initialize(), db_backend_handle_set_read(), db_backend_handle_set_shutdown(), db_backend_handle_set_transaction_begin(), db_backend_handle_set_transaction_commit(), db_backend_handle_set_transaction_rollback(), and db_backend_handle_set_update().

Referenced by db_backend_factory_get_backend().